import { Navigate, Route, Routes } from 'react-router-dom';
import { ContainerList } from './edit/List';
import { Main } from './layouts';
import { Preview, PreviewWrapper } from './preview';
export const App = () => {
  return (
    <Routes>
      <Route element={<Main />}>
        <Route path='/' element={<Navigate to='/container/edit/list' />}></Route>
        <Route path='edit/list' element={<ContainerList />} />
        <Route path='preview/:id/wrapper' element={<PreviewWrapper />} />
        <Route path='/' element={<div>Home</div>} />
      </Route>
      <Route path='preview/:id' element={<Preview />} />
    </Routes>
  );
};
