import { Outlet } from 'react-router';

export const Main = () => {
  return (
    <div className='flex w-full h-full flex-col bg-gray-200'>
      <div className='h-12 bg-white p-2 mb-2'>Deck And Flow</div>
      <div
        className='flex'
        style={{
          height: 'calc(100vh - 4rem)',
        }}>
        <div className='flex-grow overflow-hidden mx-2'>
          <div className='w-full h-full rounded-lg'>
            <Outlet />
          </div>
        </div>
      </div>
    </div>
  );
};
