import { Routes, Route, Navigate } from 'react-router-dom';
import { Edit } from './edit/Edit';
import { List } from './edit/List';
import { D3Grahp } from './D3';
import { Main } from './layout/Main';

export const App = () => {
  return (
    <Routes>
      <Route element={<Main />}>
        <Route path='/' element={<Navigate to='/prompt/list' />} />
        <Route path='/graph' element={<D3Grahp />} />
        <Route path='/edit' element={<Edit />} />
        <Route path='/list' element={<List />} />
      </Route>
    </Routes>
  );
};
