export const App = () => {
  const serverList = ['container', 'panel', 'publish', 'code-editor', 'map'];
  return (
    <div className='p-2 w-full h-full bg-gray-200'>
      <div className='flex flex-col w-1/2 m-auto bg-white p-4 border rounded-md shadow-md'>
        {serverList.map((item) => {
          return (
            <div key={item} className='flex flex-col'>
              <div>{item}</div>
            </div>
          );
        })}
      </div>
    </div>
  );
};
